Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063372 - No option to specify memcache details for Horizon in manifests [NEEDINFO]
Summary: No option to specify memcache details for Horizon in manifests
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: Installer
Assignee: Jason Guiditta
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 15:11 UTC by Rhys Oxenham
Modified: 2015-04-29 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:48:42 UTC
jguiditt: needinfo? (roxenham)


Attachments (Terms of Use)

Description Rhys Oxenham 2014-02-10 15:11:11 UTC
Description of problem:

There's no way to specify a remote memcached server using the puppet manifests despite there being an entry within the /etc/openstack-dashboard/local_settings erb  template file.

Version-Release number of selected component (if applicable):

openstack-foreman-installer-1.0.3-1.el6ost.noarch
foreman-installer-1.3.0-1.el6sat.noarch
foreman-1.3.0.2-1.el6sat.noarch
RHEL 6.5 x86_64 with RHEL OSP 4.0

How reproducible:

Every time.

Steps to Reproduce:
1. Apply 'controller' host group to a server
2. Run the puppet agent
3. Observe /etc/openstack-dashboard/local_settings for memached server.

Actual results:

No option to override the parameter in Foreman as it doesn't exist in the puppet manifests

Expected results:

Option provided to override the parameter with user-chosen options.

Additional info:

Patch proposed to upstream and already tested at customer site: https://github.com/redhat-openstack/astapor/pull/123

Comment 2 Jason Guiditta 2014-05-22 20:22:41 UTC
Rhys, if you would like this included in a release, would you be willing to update the patch above, (which I commented on a while back, but think it got lost).


Note You need to log in before you can comment on or make changes to this bug.